This is the multi-page printable view of this section. Click here to print.
SetAlertNotifications
- 1: 1.4
1 - 1.4
put /v1/alerts/{id}/notifications
Description
Set Alert notifications
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.4 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | id required | Alert ID Example : 3234bd0f12fa4d0b97ab9feff6c09b8e | string | None |
| body | body required | AlertNotificationsSetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | AlertNotificationsSetResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/alerts/{id}/notifications
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"
Request body
{
"user_ids": [
"1234da92-634a-4f8c-932e-9d650599ab1b",
"1234da92-634a-4f8c-932e-9d650599ab1a",
"1234da92-634a-4f8c-932e-9d650599ab1c"
]
}
Example HTTP response
Response 200
{
"user_ids": [
"1234da92-634a-4f8c-932e-9d650599ab1b",
"1234da92-634a-4f8c-932e-9d650599ab1a",
"1234da92-634a-4f8c-932e-9d650599ab1c"
]
}